package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * UnbindDeviceOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class UnbindDeviceOpenApiVo   {
  @JsonProperty("deviceMacs")
  @Valid
  private List<String> deviceMacs = new ArrayList<>();

  public UnbindDeviceOpenApiVo deviceMacs(List<String> deviceMacs) {
    this.deviceMacs = deviceMacs;
    return this;
  }

  public UnbindDeviceOpenApiVo addDeviceMacsItem(String deviceMacsItem) {
    this.deviceMacs.add(deviceMacsItem);
    return this;
  }

  /**
   * Unbind device mac list, like AA-BB-CC-DD-EE-FF
   * @return deviceMacs
  */
  @ApiModelProperty(required = true, value = "Unbind device mac list, like AA-BB-CC-DD-EE-FF")
  @NotNull


  public List<String> getDeviceMacs() {
    return deviceMacs;
  }

  public void setDeviceMacs(List<String> deviceMacs) {
    this.deviceMacs = deviceMacs;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    UnbindDeviceOpenApiVo unbindDeviceOpenApiVo = (UnbindDeviceOpenApiVo) o;
    return Objects.equals(this.deviceMacs, unbindDeviceOpenApiVo.deviceMacs);
  }

  @Override
  public int hashCode() {
    return Objects.hash(deviceMacs);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class UnbindDeviceOpenApiVo {\n");
    
    sb.append("    deviceMacs: ").append(toIndentedString(deviceMacs)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

